#ifndef FTRIANGLES_H
#define FTRIANGLES_H 0707


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "matrix.h"
#include "pnm.h"
#include "fill.h"
#include <float.h>
#include <math.h>

//#include "convolution.h"
#include "imgUtils.h"
//#include "morphology.h"
#include "follow.h"
//#include "chamfer.h"
#include "triangles.h"

#include "lambdaMatrix.h"

#include "SVD.h"              



#define CINC 5


int TRIsys_allocate( MATRIX* IN );
void TRIsys_free();


int find_TRIANGLES( MATRIX *IN , POINT* TRI1, POINT* TRI2 , int* OBJCOUNT , double *MK, double *MRT , int DBG );

void findOBJ( const MATRIX *IMG , int* X, int* Y , int COLOR);

extern MATRIX * convolution ( MATRIX *IN, MATRIX *FIL, int ka , MATRIX* OUT);


//Homography
void descomposicionQR( double **A, int m, int n, double **R, double *vec );
void resuelve( double **Rp, int n, double *x );
void matrix_mul(double ** A,double ** B,double ** C);
void matrix_MUL(double ** A,int m, int n, double ** B, int p, int q, double ** C);



#endif